﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Exercise9_8Page3 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
         if(Session.IsNewSession)
         {
            Response.Redirect("Exercise9-8Page1.aspx");
         }
         ClaimFormDTO ClaimForm = (ClaimFormDTO)Session["ClaimFormDTO"];
         ModelFacade facade = new ModelFacade();
         Claim claim = facade.createClaim(ClaimForm);
         if(claim.Policy.Type.Equals("contents"))
         {
            PolicyTypeImage.ImageUrl = "contents.gif";
         }
         else
         {
            PolicyTypeImage.ImageUrl = "buildings.gif";
         }
         Reference.Text = claim.Reference;
         ClaimDate.Text = claim.DateOfClaim.ToString();
         Approved.Text = claim.IsApproved.ToString();
         Policy.Text = claim.Policy.Number.ToString();
         Type.Text = claim.Policy.Type;
         Amount.Text = claim.Amount.ToString();
         Description.Text = claim.Description;
         Session.Abandon();
    }
}
